Package ch.qos.logback.core.pattern.parser

# Class CompositeNode

java.lang.Object
ch.qos.logback.core.pattern.parser.Node
ch.qos.logback.core.pattern.parser.FormattingNode
ch.qos.logback.core.pattern.parser.SimpleKeywordNode
ch.qos.logback.core.pattern.parser.CompositeNode

public class CompositeNode extends SimpleKeywordNode

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Node`
`getChildNode()`
`int`
`hashCode()`
`void`
`setChildNode(Node childNode)`
`String`
`toString()`

### Methods inherited from class ch.qos.logback.core.pattern.parser.SimpleKeywordNode

`getOptions, setOptions`

### Methods inherited from class ch.qos.logback.core.pattern.parser.FormattingNode

`getFormatInfo, setFormatInfo`

### Methods inherited from class ch.qos.logback.core.pattern.parser.Node

`getNext, getType, getValue, setNext`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getChildNode

public Node getChildNode()

### setChildNode

public void setChildNode(Node childNode)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `SimpleKeywordNode`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `SimpleKeywordNode`

### toString

public String toString()

Overrides:
  `toString` in class `SimpleKeywordNode`